endian.h File Reference
`#include <msgpack/predef/version_number.h>`
`#include <msgpack/predef/make.h>`
`#include <msgpack/predef/library/c/gnu.h>`
`#include <msgpack/predef/os/macos.h>`
`#include <msgpack/predef/os/bsd.h>`
`#include <msgpack/predef/os/android.h>`
`#include <msgpack/predef/architecture.h>`
`#include <msgpack/predef/detail/test.h>`

Go to the source code of this file.

## Macros

#define | MSGPACK_ENDIAN_BIG_BYTE MSGPACK_VERSION_NUMBER_NOT_AVAILABLE
#define | MSGPACK_ENDIAN_BIG_WORD MSGPACK_VERSION_NUMBER_NOT_AVAILABLE
#define | MSGPACK_ENDIAN_LITTLE_BYTE MSGPACK_VERSION_NUMBER_NOT_AVAILABLE
#define | MSGPACK_ENDIAN_LITTLE_WORD MSGPACK_VERSION_NUMBER_NOT_AVAILABLE
#define | MSGPACK_ENDIAN_BIG_BYTE_NAME "Byte-Swapped Big-Endian"
#define | MSGPACK_ENDIAN_BIG_WORD_NAME "Word-Swapped Big-Endian"
#define | MSGPACK_ENDIAN_LITTLE_BYTE_NAME "Byte-Swapped Little-Endian"
#define | MSGPACK_ENDIAN_LITTLE_WORD_NAME "Word-Swapped Little-Endian"

## Macro Definition Documentation

## MSGPACK_ENDIAN_BIG_BYTE

#define MSGPACK_ENDIAN_BIG_BYTE MSGPACK_VERSION_NUMBER_NOT_AVAILABLE

## MSGPACK_ENDIAN_BIG_BYTE_NAME

#define MSGPACK_ENDIAN_BIG_BYTE_NAME "Byte-Swapped Big-Endian"

## MSGPACK_ENDIAN_BIG_WORD

#define MSGPACK_ENDIAN_BIG_WORD MSGPACK_VERSION_NUMBER_NOT_AVAILABLE

## MSGPACK_ENDIAN_BIG_WORD_NAME

#define MSGPACK_ENDIAN_BIG_WORD_NAME "Word-Swapped Big-Endian"

## MSGPACK_ENDIAN_LITTLE_BYTE

#define MSGPACK_ENDIAN_LITTLE_BYTE MSGPACK_VERSION_NUMBER_NOT_AVAILABLE

## MSGPACK_ENDIAN_LITTLE_BYTE_NAME

#define MSGPACK_ENDIAN_LITTLE_BYTE_NAME "Byte-Swapped Little-Endian"

## MSGPACK_ENDIAN_LITTLE_WORD

#define MSGPACK_ENDIAN_LITTLE_WORD MSGPACK_VERSION_NUMBER_NOT_AVAILABLE

## MSGPACK_ENDIAN_LITTLE_WORD_NAME

#define MSGPACK_ENDIAN_LITTLE_WORD_NAME "Word-Swapped Little-Endian"